Story Points:

Description
As an administrator and developer, | want to see a message when metacat creates or changes and object in the object store.

History

#1 - 2010-06-14 18:54 - Chad Berkley

From the notes:

Story: (5, Sprint 8, Chad) Metacat notification of downstream services that content has changed.

- metacat will generate log messages. (task-chad)Create a separate log file using Log4J ('RollingFileAppender' for ResourceHandler...add log
statements with locallds of SM and metadata doc.) Create separate logs for replication and create().

- task: (Robert) implement a watcher for the log that will trigger the packager to generate packages for new content and store the state of operations
against the log file (time, offset)

#2 - 2010-06-15 23:22 - Chad Berkley

- Status changed from New to In Progress

Added a new logger "DataOneLogger" to the CrudService and the ReplicationHandler. Events on this log are of the form: [localld:] [guid:]. The
localld and guid are included only on appropriate events. Replication events include only localld. An example is:

knb 20100615-16:16:24: [INFO]: getSystemMetadata localld: autogen.2010166161624233.1 guid:test.2010166161624120 [DataOnelLogger]
or

knb 20100615-16:16:25: [INFO]: create localld:autogen.2010166161625471.1 guid:test.2010166161625469 [DataOnelLogger]

Robert now just needs to connect to this logger on the CN to handle the messages.

#3 - 2010-08-02 20:32 - Chad Berkley

- Status changed from In Progress to Closed

Event and replication logs are now functional. The messages are of the format:
D1GUID::D1SCIMETADATA::D1SYSMETA::
where method is 'create’, 'update’, 'get', etc.

guid is the guid assigned to the object
scienceMetadatalocalld is the localld (metacat docid) of the metadata or data object stored in metacat
https://redmine.dataone.org/projects/d1/wiki/ResourceHandler
https://redmine.dataone.org/projects/d1/wiki/CrudService
https://redmine.dataone.org/projects/d1/wiki/ReplicationHandler

systemMetadatalocalld is the localld (metacat docid) of the system metadata object stored in metacat
